{{page-title (capitalize (t 'appearance'))}}

<div class='container'>

  <div class='row'>
    <div class='col'>
      <h1 class='capitalize-first-letter'>{{t 'appearance'}}</h1>
    </div>
  </div>

  <div class='row mt-5'>
    <div class='col'>
      <label for='appearance-name' class='capitalize-first-letter'>{{t
          'name'
        }}</label>
      <Input
        @value={{@model.appearanceName.value}}
        class='form-control'
        id='appearance-name'
        disabled={{this.isSaving}}
      />
    </div>
  </div>

  <div class='row mt-4'>
    <div class='col'>
      <div class='form-check form-switch'>
        <label class='form-check-label' for='appearanceShowWelcomePresentation'>
          {{t 'show welcome presentation to new users'}}
        </label>.
        <LinkTo
          @route='manage.presentations.edit'
          @model='presentation--welcome'
        >{{t 'edit presentation'}}</LinkTo>

        <Input
          @type='checkbox'
          @checked={{this.appearanceShowWelcomePresentation}}
          id='appearanceShowWelcomePresentation'
          class='form-check-input show-welcome-presentation'
          disabled={{this.isSaving}}
        />
      </div>
    </div>
  </div>

  <div class='row mt-4'>
    <div class='col'>
      <h5 class='capitalize-first-letter'>{{t 'logo'}}</h5>
      <div>
        <Input::Picture
          @createImage={{this.createLogoImage}}
          @value={{this.logoImage}}
        />
      </div>
    </div>

    <div class='col'>
      <h5 class='capitalize-first-letter'>{{t 'cover'}}</h5>
      <div>
        <Input::Picture
          @createImage={{this.createCoverImage}}
          @value={{this.coverImage}}
        />
      </div>
    </div>
  </div>

  <div class='row mt-4'>
    <div class='col'>
      {{t 'homepage map extent'}}

      <Input::Map::Area
        @baseMaps={{@model.baseMaps}}
        @selectedBaseMap={{this.selectedBaseMap}}
        @selectBaseMap={{this.selectBaseMap}}
        @value={{this.mapExtent}}
        @mode={{'box'}}
        @disabled={{false}}
        @onChange={{this.updateMapExtent}}
      />
    </div>
  </div>

  <div class='row mt-5 mb-5'>
    <div class='col'>
      <button
        type='button'
        class='btn {{if this.isSavingError 'btn-danger' 'btn-primary'}} mt-3'
        {{on 'click' this.save}}
        disabled={{this.isDisabled}}
      >
        {{#if this.isSaving}}
          <FaIcon @icon='spinner' @spin={{true}} />
        {{/if}}

        {{capitalize (t 'save')}}
      </button>
    </div>
  </div>
</div>